Subject: [alpine-devel] Planning for Alpine 2.1

From: Natanael Copa <[email-masked]>
Date: Sat, 23 Oct 2010 16:49:39 +0000

Hi,

I'm thinking of shipping alpine-2.1 as soon as possible. The idea is
that we try join the Ubuntu release cycle - more or less. So even if
2.0 was not too long ago, I think it would be nice to get 2.1 out now.

Some of the things we have that's new:
gcc-4.5.x
dovecot-2.x
gdb-7.x
glib-2.26.x, gtk+-2.22.x and friends
xorg-server 1.9.x with support for udev and hotplugging

Things I'd still like in:
php+apache (needs fix in php)
postgresql to 9.0.x and figure out how to do upgrades smooth.
asterisk-1.8.x
db-5.x
linux-grsec-2.6.35.x (or we aim for 2.6.36?)

I think the above qualifies for a new stable release.

Below is what I have in "testing". If there is something you'd like
included in 2.1, then please give it a test run, fix issues if any and
let me know that they are save to move to "main". Otherwise, those will
be deleted for the 2.1 release. (still available in edge)

Is it realistic that we get 2.1_rc1 out next week?

From testing, scheduled for removal of 2.1 release:
acf-fetch-crl                  ntop
acl                            obexd
apache-mod-auth-ntlm-winbind   obexftp
appliancekit                   open-vm-tools
augeas                         openlldp
backuppc                       openobex
bluez                          opensips
bluez-firmware                 opensips-cp
bluez-hcidump                  openvpn-auth-ldap
btrfs-progs                    openxcap
cacti                          partimage
cdparanoia                     perl-carp-clan
cherokee                       perl-cgi-session
conky                          perl-date-format
coova-chilli                   perl-date-manip
daemontools                    perl-devel-symdump
dconf                          perl-file-tail
dmidecode                      perl-pod-coverage
dspam                          perl-snmp-session
empty                          perl-sub-uplevel
fetch-crl                      perl-test-exception
freeradius                     perl-test-inter
freeradius-client              perl-test-pod-coverage
freeswitch-sounds-es-mx-maria  perl-yaml-syck
freeswitch-sounds-music-8000   pllua
geoip                          pmacct
gnokii                         pptpclient
gnome-bluetooth                prosody
gnump3d                        py-application
gross-svn                      py-buildutils
haproxy                        py-cjson
hardinfo                       py-crypto
hdparm                         py-dbus
hping3                         py-gnutls
html2ps                        py-imaging
icecast                        py-lxml
iproute2                       py-mysqldb
iscsi-scst                     py-twisted
iscsi-scst-grsec               py-twisted-web2
iscsi-scst-svn                 py-zope-interface
ivtv-utils                     qt
knock                          re2c
libaio                         rp-pppoe
libgee                         rrdbot
libmng                         rrdcollect
libnetfilter_log               rtapd
libsyncml                      rtnppd
libvirt                        scst-grsec
libwbxml                       scst-svn-scst
libwmf                         scstadmin-svn
linux-scst                     sems
lua-augeas                     sisctrl
lua-crypto                     smartmontools
lua-curl                       spandsp
lua-filesystem                 sqstat
lua-imlib2                     squidguard
lua-nixio                      swatch
lua-penlight                   swish-e
lua-rex                        tbl
madwimax                       tinc
mdocml                         tolua++
mediaproxy                     ucspi-tcp
mp3info                        usb-modeswitch
mtx                            valide
multipath-tools                xmlrpc-c
mutt                           zabbix
nload

Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---